TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.assessment.setPackages({
packages: [
{
id: "1001",
type: "SKILLS_TEST",
name: "TypeScript",
description: "TypeScript coding skills assessments",
},
{
id: "1002",
type: "VIDEO_INTERVIEW",
name: "Video Interview",
description: "Video interview to assess communication skills",
},
],
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.assessment.set_packages(body: Models::Shared::PutAssessmentPackagesRequestBody.new(
packages: [
Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
id: '1001',
type: Models::Shared::PutAssessmentPackagesRequestBodyType::SKILLS_TEST,
name: 'TypeScript',
description: 'TypeScript coding skills assessments'
),
Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
id: '1002',
type: Models::Shared::PutAssessmentPackagesRequestBodyType::VIDEO_INTERVIEW,
name: 'Video Interview',
description: 'Video interview to assess communication skills'
),
]
))
unless res.put_assessment_packages_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.assessment.set_packages(packages=[
{
"id": "1001",
"type": "SKILLS_TEST",
"name": "TypeScript",
"description": "TypeScript coding skills assessments",
},
{
"id": "1002",
"type": "VIDEO_INTERVIEW",
"name": "Video Interview",
"description": "Video interview to assess communication skills",
},
])
# Handle response
print(res)curl --request PUT \
--url https://api.kombo.dev/v1/assessment/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"packages": [
{
"id": "1001",
"type": "SKILLS_TEST",
"name": "TypeScript",
"description": "TypeScript coding skills assessments"
},
{
"id": "1002",
"type": "VIDEO_INTERVIEW",
"name": "Video Interview",
"description": "Video interview to assess communication skills"
}
]
}
'const options = {
method: 'PUT',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
packages: [
{
id: '1001',
type: 'SKILLS_TEST',
name: 'TypeScript',
description: 'TypeScript coding skills assessments'
},
{
id: '1002',
type: 'VIDEO_INTERVIEW',
name: 'Video Interview',
description: 'Video interview to assess communication skills'
}
]
})
};
fetch('https://api.kombo.dev/v1/assessment/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/assessment/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'packages' => [
[
'id' => '1001',
'type' => 'SKILLS_TEST',
'name' => 'TypeScript',
'description' => 'TypeScript coding skills assessments'
],
[
'id' => '1002',
'type' => 'VIDEO_INTERVIEW',
'name' => 'Video Interview',
'description' => 'Video interview to assess communication skills'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/assessment/packages"
payload := strings.NewReader("{\n \"packages\": [\n {\n \"id\": \"1001\",\n \"type\": \"SKILLS_TEST\",\n \"name\": \"TypeScript\",\n \"description\": \"TypeScript coding skills assessments\"\n },\n {\n \"id\": \"1002\",\n \"type\": \"VIDEO_INTERVIEW\",\n \"name\": \"Video Interview\",\n \"description\": \"Video interview to assess communication skills\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.kombo.dev/v1/assessment/packages")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"packages\": [\n {\n \"id\": \"1001\",\n \"type\": \"SKILLS_TEST\",\n \"name\": \"TypeScript\",\n \"description\": \"TypeScript coding skills assessments\"\n },\n {\n \"id\": \"1002\",\n \"type\": \"VIDEO_INTERVIEW\",\n \"name\": \"Video Interview\",\n \"description\": \"Video interview to assess communication skills\"\n }\n ]\n}")
.asString();{
"status": "<string>",
"data": {},
"warnings": [
{
"message": "<string>"
}
]
}Packages
Set packages
Set packages
PUT
/
assessment
/
packages
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.assessment.setPackages({
packages: [
{
id: "1001",
type: "SKILLS_TEST",
name: "TypeScript",
description: "TypeScript coding skills assessments",
},
{
id: "1002",
type: "VIDEO_INTERVIEW",
name: "Video Interview",
description: "Video interview to assess communication skills",
},
],
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.assessment.set_packages(body: Models::Shared::PutAssessmentPackagesRequestBody.new(
packages: [
Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
id: '1001',
type: Models::Shared::PutAssessmentPackagesRequestBodyType::SKILLS_TEST,
name: 'TypeScript',
description: 'TypeScript coding skills assessments'
),
Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
id: '1002',
type: Models::Shared::PutAssessmentPackagesRequestBodyType::VIDEO_INTERVIEW,
name: 'Video Interview',
description: 'Video interview to assess communication skills'
),
]
))
unless res.put_assessment_packages_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.assessment.set_packages(packages=[
{
"id": "1001",
"type": "SKILLS_TEST",
"name": "TypeScript",
"description": "TypeScript coding skills assessments",
},
{
"id": "1002",
"type": "VIDEO_INTERVIEW",
"name": "Video Interview",
"description": "Video interview to assess communication skills",
},
])
# Handle response
print(res)Supported integrations
Supported integrations
This feature is currently available for the following integrations:
Example Request Body
{
"packages": [
{
"id": "1001",
"type": "SKILLS_TEST",
"name": "TypeScript",
"description": "TypeScript coding skills assessments"
},
{
"id": "1002",
"type": "VIDEO_INTERVIEW",
"name": "Video Interview",
"description": "Video interview to assess communication skills"
}
]
}
Authorizations
Headers
ID of the integration you want to interact with.
Body
application/json
PUT /assessment/packages Request body
Show child attributes
Show child attributes
Response
PUT /assessment/packages Positive response
Was this page helpful?
⌘I